diacritic_map = {'À': 'A', 'È': 'E', 'Ì': 'I', 'Ò': 'O', 'Ù': 'U', 'Ẁ': 'W', 'Ỳ': 'Y', 'à': 'a', 'è': 'e', 'ì': 'i', 'ò': 'o', 'ù': 'u', 'ẁ': 'w', 'ỳ': 'y', 'Á': 'A', 'Ć': 'C', 'É': 'E', 'Ǵ': 'G', 'Í': 'I', 'Ḱ': 'K', 'Ĺ': 'L', 'Ń': 'N', 'Ó': 'O', 'Ŕ': 'R', 'Ś': 'S', 'Ú': 'U', 'Ẃ': 'W', 'Ý': 'Y', 'Ź': 'Z', 'á': 'a', 'ć': 'c', 'é': 'e', 'ǵ': 'g', 'í': 'i', 'ḱ': 'k', 'ĺ': 'l', 'ń': 'n', 'ó': 'o', 'ŕ': 'r', 'ś': 's', 'ú': 'u', 'ẃ': 'w', 'ý': 'y', 'ź': 'z', 'Ő': 'O', 'Ű': 'U', 'ő': 'o', 'ű': 'u', 'Â': 'A', 'Ê': 'E', 'Ĝ': 'G', 'Ĥ': 'H', 'Î': 'I', 'Ĵ': 'J', 'Ô': 'O', 'Ŝ': 'S', 'Û': 'U', 'Ŵ': 'W', 'Ŷ': 'Y', 'â': 'a', 'ê': 'e', 'ĝ': 'g', 'ĥ': 'h', 'î': 'i', 'ĵ': 'j', 'ô': 'o', 'ŝ': 's', 'û': 'u', 'ŵ': 'w', 'ŷ': 'y', 'Ã': 'A', 'Ĩ': 'I', 'Ñ': 'N', 'Õ': 'O', 'Ũ': 'U', 'ã': 'a', 'ĩ': 'i', 'ñ': 'n', 'õ': 'o', 'ũ': 'u', 'Ä': 'A', 'Ë': 'E', 'Ï': 'I', 'Ö': 'O', 'Ü': 'U', 'Ẅ': 'W', 'Ÿ': 'Y', 'ä': 'a', 'ë': 'e', 'ï': 'i', 'ö': 'o', 'ü': 'u', 'ẅ': 'w', 'ÿ': 'y', 'Å': 'A', 'Ů': 'U', 'å': 'a', 'ů': 'u', 'Ç': 'C', 'Ḑ': 'D', 'Ģ': 'G', 'Ķ': 'K', 'Ļ': 'L', 'Ņ': 'N', 'Ŗ': 'R', 'Ş': 'S', 'Ţ': 'T', 'ç': 'c', 'ḑ': 'd', 'ģ': 'g', 'ķ': 'k', 'ļ': 'l', 'ņ': 'n', 'ŗ': 'r', 'ş': 's', 'ţ': 't', 'Č': 'C', 'Ď': 'D', 'Ě': 'E', 'Ǧ': 'G', 'Ǩ': 'K', 'Ľ': 'L', 'Ň': 'N', 'Ř': 'R', 'Š': 'S', 'Ť': 'T', 'Ž': 'Z', 'č': 'c', 'ď': 'd', 'ě': 'e', 'ǧ': 'g', 'ǩ': 'k', 'ľ': 'l', 'ň': 'n', 'ř': 'r', 'š': 's', 'ť': 't', 'ž': 'z', 'Ø': 'O', 'Ł': 'L', 'ø': 'o', 'ł': 'l', 'Ą': 'A', 'Ę': 'E', 'Į': 'I', 'Ų': 'U', 'ą': 'a', 'ę': 'e', 'į': 'i', 'ų': 'u', 'Ā': 'A', 'Ē': 'E', 'Ī': 'I', 'Ō': 'O', 'Ū': 'U', 'ā': 'a', 'ē': 'e', 'ī': 'i', 'ō': 'o', 'ū': 'u', 'Ă': 'A', 'Ĕ': 'E', 'Ğ': 'G', 'Ĭ': 'I', 'Ŏ': 'O', 'Ŭ': 'U', 'ă': 'a', 'ĕ': 'e', 'ğ': 'g', 'ĭ': 'i', 'ŏ': 'o', 'ŭ': 'u', 'Ḃ': 'B', 'Ċ': 'C', 'Ḋ': 'D', 'Ė': 'E', 'Ḟ': 'F', 'Ġ': 'G', 'İ': 'I', 'Ṁ': 'M', 'Ṗ': 'P', 'Ṡ': 'S', 'Ṫ': 'T', 'Ż': 'Z', 'ḃ': 'b', 'ċ': 'c', 'ḋ': 'd', 'ė': 'e', 'ḟ': 'f', 'ġ': 'g', 'i̇': 'i', 'ṁ': 'm', 'ṗ': 'p', 'ṡ': 's', 'ṫ': 't', 'ż': 'z', 'Đ': 'D', 'Ǥ': 'G', 'Ħ': 'H', 'Ŧ': 'T', 'đ': 'd', 'ǥ': 'g', 'ħ': 'h', 'ŧ': 't', 'Ŀ': 'L', 'ŀ': 'l', 'Ǟ': 'A', 'ǟ': 'a', 'Ǻ': 'A', 'ǻ': 'a', 'Ǿ': 'O', 'ǿ': 'o'}
